Package: org.gradle.api.tasks.testing

## [Java] Interface TestTaskReports

- org.gradle.api.tasks.testing.TestTaskReports

- All Superinterfaces:
    NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

  The reports produced by the Test task.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DirectoryReport` | `getHtml()` A HTML report indicate the results of the test execution.
    `JUnitXmlReport` | `getJunitXml()` The test results in “JUnit XML” format.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ReportContainer` | `getEnabled`
    `interface NamedDomainObjectSet` | `findAll, matching, matching, withType`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public DirectoryReport getHtml()

      A HTML report indicate the results of the test execution.

      Returns:
        The HTML report

    - #### public JUnitXmlReport getJunitXml()

      The test results in “JUnit XML” format.

      Returns:
        The test results in “JUnit XML” format